Issue #1157 has been updated by Lutz Mueller.


my apologies if this is obvious, but I struggled with the same problem.

gem update fails in a similar manner.

I downloaded the zlib sources from www.zlib.net, went through configure/make/make install.
I then went back to the ruby 1.9.1 source directory and also repeated the configure/make/make install.
Afterwards, I was able to do a "gem update" and a "gem install rails".

I am posting this here because this happened to be the first place I hit in search for a solution.
FWIW, Michael Lang's solution (above) did not work for me.

I am running Ubuntu 8.10 Intrepid.

Regards, Lutz
----------------------------------------
http://redmine.ruby-lang.org/issues/show/1157

----------------------------------------
http://redmine.ruby-lang.org